edu.northwestern.at.morphadorner.corpuslinguistics.outputter

## Interface AdornedWordOutputter

- All Known Implementing Classes:
    ByteStreamAdornedWordOutputter, ConsoleAdornedWordOutputter, DefaultAdornedWordOutputter, ListAdornedWordOutputter, PrintStreamAdornedWordOutputter, SimpleXMLAdornedWordOutputter

      public interface AdornedWordOutputter

  Interface for generating adorned word output.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close outputter.
    `void` | `createOutputFile(java.lang.String fileName, java.lang.String encoding, char sepChar)` Create output file.
    `java.lang.String` | `getOutputFileEncoding()` Get output file encoding.
    `java.lang.String` | `getOutputFileName()` Get output file name.
    `void` | `outputWordAndAdornments(java.util.List<java.lang.String> wordAndAdornments)` Outputs a word and its adornments (part of speech, lemmata, etc).
    `void` | `outputWordAndAdornments(java.lang.String[] wordAndAdornments)` Outputs a word and its adornments (part of speech, lemmata, etc).
    `void` | `setWordAttributeNames(java.util.List<java.lang.String> wordAttributeNames)` Set word attribute names.

- - ### Method Detail

    - #### outputWordAndAdornments

          void outputWordAndAdornments(java.lang.String[] wordAndAdornments)
                                       throws java.io.IOException

      Outputs a word and its adornments (part of speech, lemmata, etc).
      Parameters:
        `wordAndAdornments` - Word and its adornments as an array of string.
      Throws:
        `java.io.IOException` - If an output error occurs.

    - #### outputWordAndAdornments

          void outputWordAndAdornments(java.util.List<java.lang.String> wordAndAdornments)
                                       throws java.io.IOException

      Outputs a word and its adornments (part of speech, lemmata, etc).
      Parameters:
        `wordAndAdornments` - Word and its adornments as a list.
      Throws:
        `java.io.IOException` - If an output error occurs.

    - #### createOutputFile

          void createOutputFile(java.lang.String fileName,
                              java.lang.String encoding,
                              char sepChar)
                                throws java.io.IOException

      Create output file.
      Parameters:
        `fileName` - The output file name.
        `encoding` - The encoding for the output file.
        `sepChar` - The separator character.
      Throws:
        `java.io.IOException`

    - #### getOutputFileName

          java.lang.String getOutputFileName()

      Get output file name.
      Returns:
        Output file name. May be null.

    - #### getOutputFileEncoding

          java.lang.String getOutputFileEncoding()

      Get output file encoding.
      Returns:
        Output file encoding.

    - #### setWordAttributeNames

          void setWordAttributeNames(java.util.List<java.lang.String> wordAttributeNames)

      Set word attribute names.
      Parameters:
        `wordAttributeNames` - Word attribute names.

    - #### close

          void close()

      Close outputter.